#ifndef Utils_h
#define Utils_h

#include <random>
#include <chrono>
#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include "Lib/sqlite3.h"

/* Count of parameters */
#define PARAMS 6

/* Maximum bounds */
extern double maxlimits[PARAMS];
/* Minimal bounds */
extern double minlimits[PARAMS];

/* Common functions */
void show_help();
void wait_for_exit();
double convert_time_to_double(std::string aTime);
double get_max_time(std::vector<double,std::allocator<double>> aValues);
double get_min_time(std::vector<double,std::allocator<double>> aValues);
double * generate_parameters();

#endif
